Segment 2 - Kommunikation mit externen Stellen (KEx) - SWE 2.4 E-Mail/Fax/SMS/Voicemail
=======================================================================================

## Übersicht
=========

Die SWE2.4 KEx Email/Fax/SMS  ermöglicht den Versand von Meldungen per Email, 
Fax oder SMS Kurznachricht. 

Diese SWE ist eine eigenständige Datenverteiler-Applikation, welche über die 
Klasse de.bsvrz.kex.emailfaxsms.vew.KexEmailSMS mit folgenden Parametern
gestartet werden kann: (zusaetzlich zu den normalen Parametern jeder 
Datenverteiler-Applikation):
	-EmailFaxSMS=pid|id
	-maxGroesseWarteschlangen=PositiveNummer
	-warnGroesseWarteschlangen=Prozent
	-langeSMSzerbrechen=true|false

	
Zur Ausführung der Softwareeinheit sind neben den Kernsoftware-Bibliotheken folgende 
zusätzliche Bibliotheken bzw. Softwareeinheiten erforderlich:

	de.bsvrz.sys.funclib.bitctrl
	

Bemerkungen
===========
	
## Tests

Alle Tests befinden sich unterhalb des Verzeichnisses junit und sind als 
JUnit-Tests ausführbar.
Die Tests untergliedern sich wie folgt:
 - DAV-Test: der Test, der die korrekte Bearbeitung der Versandaufträge testen, 
   ohne etwas wirklich zu versenden (bei der Durchführung dieser Tests wird 
   jeweils implizit eine Instanz der KexEmailSMS gestartet, die statt dem 
   Versand nur die Parameter des Auftrages auf die Konsole ausgibt)
 - Versand-Tests: Diese Tests testen nur die Versand-Methode der Modulen 
   KexFaxSender, KexSmsSender und KexEmailSender.

Voraussetzungen für die DAV-Tests:
 - Der Konfiguratiosbereich 'kb.kexEmailFaxSmsTest' oder ein Objekt von Typ 
   'typ.versandModulExterneMeldungen' muss im Datenmodell enthalten sein.
 - Anpassung der DAV-Start-Parameter (Variable CON_DATA) innerhalb von 
   junit/de.bsvrz.kex.emailfaxsms.KexEmailFaxSMSTester.java
	
Voraussetzungen für die Versand-Tests:
- Anpassung der Test-Parameter (Variablen TEST_*, ) innerhalb von 
	- junit/de.bsvrz.kex.emailfaxsms.KexSmsSenderTester.java 
	  {TEST_EMPFAENGER, TEST_PIN, TEST_COM_PORT, TEST_BAUD_RATE, TEST_INITSEQ }
	- junit/de.bsvrz.kex.emailfaxsms.KexFaxSenderTester.java 
	  {TEST_EMPFAENGER, TEST_PIN, TEST_COM_PORT, TEST_BAUD_RATE, TEST_FAX_HI, 
	  TEST_FAX_LOW, TEST_INITSEQ }
    - junit/de.bsvrz.kex.emailfaxsms.KexEmailSenderTester.java 
	  {TEST_EMPFAENGER, TEST_MAIL_SERVER, TEST_BENUTZER, TEST_PASWORT }


## Disclaimer

Copyright (C) 2007 BitCtrl Systems GmbH 

This program is free software; you can redistribute it and/or modify it under
the terms of the GNU General Public License as published by the Free Software
Foundation; either version 2 of the License, or (at your option) any later
version.

This program is distributed in the hope that it will be useful, but WITHOUT
ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
FOR A PARTICULAR PURPOSE. See the GNU General Public License for more
details.

You should have received a copy of the GNU General Public License along with
this program; if not, write to the Free Software Foundation, Inc., 51
Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.


## Kontakt

BitCtrl Systems GmbH
Weißenfelser Straße 67
04229 Leipzig
Phone: +49 341-490670
mailto: info@bitctrl.de
